gnutls_x509_aki_get_cert_issuer(3)

NAME
gnutls_x509_aki_get_cert_issuer - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_aki_get_cert_issuer(gnutls_x509_aki_t aki, unsigned int seq, unsigned int * san_type, gnutls_datum_t * san, gnutls_datum_t * othername_oid, gnutls_datum_t * serial);

ARGUMENTS

gnutls_x509_aki_t aki
    The authority key ID

unsigned int seq
    The index of the name to get

unsigned int * san_type
    Will hold the type of the name (of gnutls_subject_alt_names_t)

gnutls_datum_t * san
    The alternative name data

gnutls_datum_t * othername_oid
    The object identifier if san_type is GNUTLS_SAN_OTHERNAME

gnutls_datum_t * serial
    The authorityCertSerialNumber number

DESCRIPTION
This function will return a specific authorityCertIssuer name as stored in the aki type, as well as the authorityCertSerialNumber. All the returned values should be treated as constant, and may be set to NULL when are not required.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the index is out of bounds, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/